较新版本的NI Vision软件不包括.NET支持

更新 Oct 6, 2021

适用于

软件

  • Vision Development Module
  • Vision Builder for Automated Inspection
  • Vision Assistant

问题详述

我正在尝试使用Vision Assistant (Vision助手) 2019中的.NET代码生成功能,但现在看不到该选项功能。

解决方案

视觉采集软件(VAS)19.0,视觉开发模块(VDM)2019和自动​化​检测​专用​视觉​生成器(VBAI)2018 SP1不再包含.NET支持。

自2019年起,Vision .NET API以开源方式,可在Github上使用: 这些项目将包括.NET封装C代码,以使用最新的C代码发布DLL构建.NET程序集。
请按照 README 中的说明进行操作:
  • 重建32位(对于VDM为64位)程序集,以使用系统上安装的最新版Vision软件
  • 向.NET程序集添加新的entry points (入口点)
注释:作为开源.NET计划的一部分,NI将不再通过NI支持来提供.NET Vision API上的支持。支持将通过Github开源社区提供。请报告问题至相对应产品的Github问题页面。请参阅Github页面的错误报告部分。

相关信息

NI 视觉开发模块2013 SP1是最后一个的版本支持.NET Framework 1.1,.NET Framework 2.0,.NET Framework 3.5和.NET语言集成到Visual Studio 2005和Visual Studio 2008。之后VAS,VDM和VBAI版本的新添加功能尚未添加到.NET API。